Package org.springframework.mail.javamail

# Interface MimeMessagePreparator

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public interface MimeMessagePreparator
Callback interface for the preparation of JavaMail MIME messages.

The corresponding `send` methods of `JavaMailSender` will take care of the actual creation of a `MimeMessage` instance, and of proper exception conversion.

It is often convenient to use a `MimeMessageHelper` for populating the passed-in MimeMessage, in particular when working with attachments or special character encodings. See `MimeMessageHelper's javadoc` for an example.

Since:
  07.10.2003
Author:
  Juergen Hoeller
See Also:
  - `JavaMailSender.send(MimeMessagePreparator)`
  - `JavaMailSender.send(MimeMessagePreparator[])`
  - `MimeMessageHelper`

## Method Summary

Modifier and Type
Method
Description
`void`
`prepare(MimeMessage mimeMessage)`
Prepare the given new MimeMessage instance.

## Method Details

### prepare

void prepare(MimeMessage mimeMessage) throws Exception
Prepare the given new MimeMessage instance.

Parameters:
  `mimeMessage` - the message to prepare
Throws:
  `MessagingException` - passing any exceptions thrown by MimeMessage methods through for automatic conversion to the MailException hierarchy
  `IOException` - passing any exceptions thrown by MimeMessage methods through for automatic conversion to the MailException hierarchy
  `Exception` - if mail preparation failed, for example when a FreeMarker template cannot be rendered for the mail text